.woo-variation-swatches .wvs-style-squared.variable-items-wrapper .variable-item[data-attribute_name="attribute_color"] {
  border-radius: 100%;
  overflow: hidden;
}

.elementor-widget-n-accordion .e-n-accordion-item:not(:has(summary + div)) {
  display: none;
}

.product-additional-info.custom-bullet ul,
.product-shipping-info {
  margin-block: 0;
  margin-inline: 12px 0;
  list-style: none;
}

.product-additional-info.custom-bullet li,
.shipping-info-row {
  display: flex;
}

.product-additional-info.custom-bullet .bullet-icon,
.shipping-icon {
  position: relative;
  margin-right: 8px;
}

.span.shipping-icon {
  top: 4px;
}

#review_form_wrapper {
  display: none;
}

#review_form_wrapper.visible {
  display: var(--form-display, block);
}

.single-product {
  .swiper-button-next,
  .swiper-button-prev,
  .swiper-rtl .swiper-button-next,
  .swiper-rtl .swiper-button-prev {
    --icon-size: 24px;

    border: 1px solid var(--color-ui-02);
    border-radius: 100%;
    width: calc(var(--icon-size) + 20px);
    height: calc(var(--icon-size) + 20px);
    display: flex !important;
    align-items: center;
    justify-content: center;

    &::after {
      font-family: "Font Awesome 5 Pro";
      font-weight: 300;
      color: var(--color-brand-01);
      font-size: var(--icon-size);
    }

    &:hover {
      background-color: var(--color-ui-01);
    }
  }
  .swiper-button-next:after,
  .swiper-rtl .swiper-button-prev:after {
    content: "\f061";
  }

  .swiper-button-prev:after,
  .swiper-rtl .swiper-button-next:after {
    content: "\f060";
  }

  &.woocommerce-js div.product {
    .product_title {
      margin: 0;
    }

    form.cart .variations {
      margin-top: calc(-1 * var(--space-lg));
      border-collapse: separate;
      border-spacing: 0 var(--space-lg);

      .label label {
        color: var(--color-text-03);
      }
    }

    .single_add_to_cart_button {
      margin: 0 !important;
    }
  }

  .price {
    padding-bottom: var(--space-md);
    border-bottom: 1px solid var(--color-ui-02);
  }

  .quantity {
    flex-basis: auto !important;
    border: 1px solid var(--color-ui-02);
    margin-bottom: 0 !important;

    * {
      border: none !important;
    }

    .qty {
      width: 3.5em !important;
    }

    button {
      --btn-color: transparent;
      --btn-border-color: transparent;
      padding-inline: var(--space-sm);

      i {
        font-weight: 400;
      }
    }
  }
}

.woocommerce-variation-price {
  &::before {
    content: 'Your price: ';
    font-size: var(--text-lg) !important;
    font-weight: 400 !important;
    color: var(--color-text-black) !important;
  }

  .price {
    font-size: var(--text-lg) !important;
    font-weight: 400 !important;
    color: var(--color-text-black) !important;
    padding-bottom: 0;
    border: none;
  }
}

details.e-n-accordion-item:has(.elementor-shortcode:empty) {
  display: none;
}
